<?php
include_once('initiate.php');
include_once('AjaxForm.class.php');


//file_put_contents("debug.html",var_export($post,true));

class AjaxRss extends AjaxForm{
	
	function manageFeeds($params){
		$table = $params['table'];
		$target_id = $params['target_id'];
		$obj = AjaxCommon::loadModel($table);
		$obj->loadSession();
		//children
		$sess_key = $table."_dropchildren";
		$_SESSION[$sess_key]['target_id'] = $table."-dropchildren";
		$_SESSION[$sess_key]['id_value'] = $obj->session->id;
		$_SESSION[$sess_key]['template'] = "rss_drop_children.tpl";
		
		$this->smarty->assign('parent_table', $table);
		$this->smarty->assign('parent_table_id', $obj->session->id);
		$this->smarty->assign('drop_children', $obj->getChildren($obj->session->id));

		$this->response->assignAttr($target_id, 'onclick', "ajax_rss.setFocus('$target_id', '{$params['focus_id']}')");
		$this->displayDropForm($target_id, $params['template'], $table);
		$this->response->combineActions($this->setFocus($target_id, $params['focus_id'], $params['topstyle']));
		
		//file_put_contents("debug.html", var_export($this->smarty, true));
		//exit;
		
		return $this->response;
	}
	
	function displayHeadlines($params){
		$obj = AjaxCommon::loadModel($params['table']);
		$cur_feed = $obj->fetchRowToArr($params['id_value'], true);
		
		$this->smarty->assign('top_bar_headline', $cur_feed['feedname']);
		
		$cur_headlines = Zend_Feed::import($cur_feed['link']);
		
		$channel = array(
			'title'       => $cur_headlines->title(),
			'description' => $cur_headlines->description(),
			'items'       => array()
		);
		
		$replace_with = "<a class=default_small_link target=_blank href";
		foreach ($cur_headlines as $item) {
			$item_description = str_replace("<a href", $replace_with, $item->description());
			$item_description = str_replace("<a class=p href", $replace_with, $item_description);
			$channel['items'][] = array(
			'title'       => $item->title(),
			'link'        => $item->link(),
			'description' => $item_description
			);
		}
		
		$this->smarty->assign('feed', $channel);
		
		//file_put_contents("debug.html", var_export($channel, true));
		
		$target_id = $params['target_id'];
		$this->smarty->assign('parent_id', $target_id);
		$this->smarty->assign('table', $table);
		
		$inner_html = $this->smarty->fetch($params['template']);
		$this->response->assignAttr($target_id, 'onclick', "ajax_rss.setFocus('$target_id', '{$params['focus_id']}')");
		$this->response->assignAttr($target_id, 'innerHTML', $inner_html);
		$this->response->combineActions($this->setFocus($target_id, $params['focus_id'], $params['topstyle']));

	}
	
	function displayWin($params, $func){
		$params = unserialize($params);
		$this->$func($params);
		return $this->response;
	}
	
	
}