<?php
//error_reporting(E_ERROR | E_WARNING | E_PARSE);
set_include_path("../PEAR/");
set_include_path('.' . PATH_SEPARATOR . './models/' . PATH_SEPARATOR . get_include_path());
date_default_timezone_set('Asia/Bangkok');

include_once("Smarty_Zend.php");
include_once("Zend/Loader.php");

Zend_Loader::loadClass('Zend_Translate');
Zend_Loader::loadClass('Zend_Config_Ini');
Zend_Loader::loadClass('Zend_Registry');
Zend_Loader::loadClass('Zend_Db');
Zend_Loader::loadClass('Zend_Db_Table');
Zend_Loader::loadClass('Zend_Db_Table_Abstract');
Zend_Loader::loadClass('Zend_Session');
Zend_Loader::loadClass('Zend_Feed');
include_once("classes/AjaxModel.php");
include_once("classes/Validation.php");
include_once("classes/AjaxCommon.php");
include_once("HTML/AJAX/Action.php");

//starting session
Zend_Session::start();
$user_sess = new Zend_Session_Namespace('dbuser');

//smarty
$smarty = new Smarty_Zend();

//zend registry and config loading
$config_file = 'framework_config/config.ini';
$dbconfig = new Zend_Config_Ini($config_file, 'general');
$registry = Zend_Registry::getInstance();
$registry->set('smarty', $smarty);
$registry->set('dbuser', $user_sess);

//translations
$tr = new Zend_Translate('gettext', 'locale/enu.mo', 'en');
$registry->set('tr', $tr);

// setup database
$db = Zend_Db::factory($dbconfig->db->adapter, $dbconfig->db->config->toArray());
Zend_Db_Table::setDefaultAdapter($db);

