//var ajax_form = new AjaxForm({});
var ajax_rss = new AjaxRss({});

function getValue(el_id){
	return document.getElementById(el_id).value;
}

function submitVal(el_id){
	var val = getValue(el_id);
	ajax_rss.submitValue(val, el_id);
}

function toggleEdit(el_id, el_value){
	var element = document.getElementById(el_id);
	element.onclick = ajax_rss.edit(el_id, el_value);
}

function serializeForm(form_id){
	var form_element = document.getElementById(form_id);
	var rarr = new Array();
	for(var i=0; i < form_element.elements.length; i++){
		var fieldInfo = new Array();
		var el_name = form_element.elements[i].name;
		fieldInfo['id'] = form_element.elements[i].id;
		fieldInfo['value'] = form_element.elements[i].value;
		rarr[el_name] = fieldInfo;
	}
	return serialize(rarr);
}

function getChild(parent_id, child_id){
	var divs = document.getElementsByTagName('div');
	for(var i = 0; i < divs.length; i++){
		divs[i].removeChild
		if(divs[i].id == parent_id){
			for(var j = i; j < divs.length; j++){
				if(divs[j].id == child_id){
					return divs[j];
				}
			}
		}
	}
	return false;
}

function removeElement(el_id){
	var node = document.getElementById(el_id);
	if(node){
		var parent = node.parentNode;
		parent.removeChild(node);
	}
}

function assignClassToChild(parent_id, child_id, class_name){
	var child = getChild(parent_id, child_id);
	child.className = class_name;
}

function createWindow(parent_id, origin_id, new_class, target_id, focus_id){
	var target_el = document.getElementById(target_id);
	if(target_el == null){
		var newNode = document.getElementById(origin_id).cloneNode(true);
		newNode.id = target_id;
		if(new_class != ''){
			newNode.className = new_class;
		}else{
			newNode.style.display = 'block';
		}
		document.getElementById(parent_id).appendChild(newNode);
	}
}
	
function createListWindow(parent_id, origin_id, new_class, table, target_id, focus_id, template, topstyle, text_size){
	createWindow(parent_id, origin_id, new_class, target_id, focus_id);
	ajax_rss.listData(table, target_id, focus_id, template, topstyle, text_size);
}

function createInsertWindow(parent_id, origin_id, new_class, table, target_id, focus_id, template, topstyle, update){
	createWindow(parent_id, origin_id, new_class, target_id, focus_id);
	ajax_rss.getInsertForm(table, target_id, focus_id, template, topstyle, update);
}

function createDropWindow(parent_id, origin_id, new_class, table, target_id, focus_id, template, topstyle, text_size){
	createWindow(parent_id, origin_id, new_class, target_id, focus_id);
	ajax_rss.getDropForm(table, target_id, focus_id, template, topstyle, text_size);
}

function createWindowParam(params, ajax_obj, func){
	createWindow(params['parent_id'], params['origin_id'], params['new_class'], params['target_id'], params['focus_id']);
	params = serialize(params);
	ajax_obj.displayWin(params, func);
}

function closeWindow(target_id){
	var target_el = document.getElementById(target_id);
	var parent_el = target_el.parentNode;
	parent_el.removeChild(target_el);
}

function dropHandler(dragged_el, target_el){
	//alert('ok');
	//table_id_field_typeOfElement
	var dragger_info = dragged_el.id.split("-");
	var target_info = target_el.id.split("-");
	if(dragger_info[0] != target_info[0]){
		ajax_rss.dropHandler(dragged_el.id, target_el.id);
	}
}
	
function dropInsert(dragged_el, target_el){
	//alert('ok');
	//table_id_field_typeOfElement
	var dragger_info = dragged_el.id.split("-");
	var target_info = target_el.id.split("-");
	if(dragger_info[0] != target_info[0]){
		ajax_rss.dropInsertReference(dragged_el.id, target_el.id);
	}
}
