<?php
class Subfeeds extends AjaxModel{
	protected $_name 			= 'subfeeds';
	protected $_primary 		= 'id';
	
	protected $_referenceMap    = array(
		'dbuser' => array(
			'columns'           => 'dbuser',
			'refTableClass'     => 'Dbuser',
			'refColumns'        => 'id',
			'refLabel'			=> 'username',
			'onDelete'          => self::CASCADE
		),
		'feeds' => array(
			'columns'           => 'feeds',
			'refTableClass'     => 'Feeds',
			'refColumns'        => 'id',
			'refLabel'			=> 'feedname',
			'onDelete'          => self::CASCADE
		)
	);
	
}